PKG-DELETE(8)

NAME
pkg delete - deletes packages from the database and the system

SYNOPSIS
pkg delete [-DfginqRxy] pkg-name ...
pkg delete [-Dnqy] -a

DESCRIPTION
pkg delete is used for deleting installed packages from the system. pkg delete creates a work-list of all the installed packages matching the package names on the command line. The list is presented to the user. If the user confirms that they do want to remove those packages, or if the ASSUME_ALWAYS_YES configuration option is set, pkg delete proceeds to remove the listed packages.

If the set of packages to be deleted would leave installed packages with unfulfilled dependencies, pkg delete will emit an error message and quit without deleting anything unless forced to proceed by the -f option.

OPTIONS
The following options are supported by pkg delete:

-a  Deletes all installed packages from the system and empties the database.

-D  If a deinstallation script exists for a given package, do not execute it.

-f  Forces packages to be removed despite leaving unresolved dependencies.

-g  Treat the package names as shell glob patterns.

-i  Make the standard or regular expression (-x) matching against pkg-name case insensitive.

-n  Dry run mode. The list of packages to delete is always printed, but no packages are actually deleted.

-q  Force quiet output, except where -n is also used, when pkg delete will show the list of packages to be deleted.

-R  Delete all packages that require the listed packages as well.

-x  Treat the package names as regular expressions according to the "modern" or "extended" syntax of re_format(7).

-y  Assume yes when asked for confirmation before package deletion.

ENVIRONMENT
The following environment variables affect the execution of pkg delete. See pkg.conf(5) for further description.

ASSUME_ALWAYS_YES

HANDLE_RC_SCRIPTS

PKG_DBDIR

FILES
See pkg.conf(5).

SEE ALSO
pkg.conf(5), pkg(8), pkg-add(8), pkg-annotate(8), pkg-audit(8), pkg-autoremove(8), pkg-backup(8), pkg-check(8), pkg-clean(8), pkg-convert(8), pkg-create(8), pkg-fetch(8), pkg-info(8), pkg-install(8), pkg-lock(8), pkg-query(8), pkg-register(8), pkg-repo(8), pkg-rquery(8), pkg-search(8), pkg-set(8), pkg-shell(8), pkg-shlib(8), pkg-stats(8), pkg-update(8), pkg-updating(8), pkg-upgrade(8), pkg-version(8), pkg-which(8)